#include <bits/stdc++.h>

using namespace std;

int n,m,br;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>n>>m;
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++){
            if(i==0 || j==m-1 || j==0 || i==n-1) br++;
        }
    for(int i=0;i<n-2;i++)
        for(int j=0;j<m-2;j++){
                if(i%2==0 && j%2!=0) br++;
                else if(j%2==0 && i%2!=0) br++;
    }
    cout<<br<<'\n';
    return 0;
}